"use strict";
var edaEsbuildExportName = (() => {
  var __defProp = Object.defineProperty;
  var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
  var __getOwnPropNames = Object.getOwnPropertyNames;
  var __hasOwnProp = Object.prototype.hasOwnProperty;
  var __export = (target, all) => {
    for (var name in all)
      __defProp(target, name, { get: all[name], enumerable: true });
  };
  var __copyProps = (to, from, except, desc) => {
    if (from && typeof from === "object" || typeof from === "function") {
      for (let key of __getOwnPropNames(from))
        if (!__hasOwnProp.call(to, key) && key !== except)
          __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
    }
    return to;
  };
  var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

  // src/index.ts
  var src_exports = {};
  __export(src_exports, {
    about: () => about,
    activate: () => activate,
    exportDeviceArchive: () => exportDeviceArchive,
    exportDeviceArchiveWithLcscId: () => exportDeviceArchiveWithLcscId,
    exportFootprintArchive: () => exportFootprintArchive,
    exportProjectArchive: () => exportProjectArchive
  });

  // extension.json
  var version = "1.1.7";

  // src/index.ts
  function activate(status, arg) {
  }
  async function exportProjectArchive() {
    eda.sys_IFrame.openIFrame("/iframe/export-project-archive.html", 350, 195);
  }
  async function exportDeviceArchive() {
    eda.sys_IFrame.openIFrame("/iframe/export-device-archive.html", 350, 280);
  }
  async function exportFootprintArchive() {
    eda.sys_IFrame.openIFrame("/iframe/export-footprint-archive.html", 350, 280);
  }
  async function exportDeviceArchiveWithLcscId() {
    eda.sys_IFrame.openIFrame("/iframe/export-device-archive-with-lcsc-id.html", 350, 196);
  }
  async function about() {
    eda.sys_MessageBox.showInformationMessage(
      eda.sys_I18n.text("Export Design Archive Tool", void 0, void 0, version),
      eda.sys_I18n.text("About")
    );
  }
  return __toCommonJS(src_exports);
})();
